Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230131 - /usr/lib/wine/wined3d.dll.so: undefined symbol: glXGetCurrentContext
Summary: /usr/lib/wine/wined3d.dll.so: undefined symbol: glXGetCurrentContext
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: wine
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2007-02-26 19:45 UTC by David Nielsen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: wine-0.9.32-1.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-08 19:45:23 UTC


Attachments (Terms of Use)

Description David Nielsen 2007-02-26 19:45:38 UTC
Description of problem:
when attempting to run Fallout2 via Wine I get the following message:

libGL warning: 3D driver claims to not support visual 0x4b
err:module:load_builtin_dll failed to load .so lib for builtin L"wined3d.dll":
/usr/lib/wine/wined3d.dll.so: undefined symbol: glXGetCurrentContext
err:ddraw:DDRAW_Create Couldn't load WineD3D - OpenGL libs not present?

I suspect that Wine needs to be rebuilt against mesa-6.5.2-6 which now again
exports glXGetCurrentContext.
see: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=229808

Version-Release number of selected component (if applicable):
wine-0.9.31-1.fc7
mesa-6.5.2-6

How reproducible:
100%

Comment 1 Michael Schwendt 2007-03-08 10:26:27 UTC
Please retry with wine-0.9.32-1.fc7 which is built against the fixed
mesa-libGL.


Comment 2 David Nielsen 2007-03-08 19:45:23 UTC
That works.. now excuse me while I close this mother up so I can get on with
playing Fallout 2


Note You need to log in before you can comment on or make changes to this bug.